/**
 * Plugin Explainer Admin JavaScript
 */
jQuery(document).ready(function($) {
    // ポップアップ表示の処理
    $('.plugin-purpose-wrapper').hover(
        function() {
            // ポップアップを表示
            $(this).find('.plugin-details-popup').fadeIn(200);
        },
        function() {
            // ポップアップを非表示
            $(this).find('.plugin-details-popup').fadeOut(100);
        }
    );
    
    // 初回訪問時のチュートリアル表示
    if (pluginExplainerData.showTutorial) {
        showTutorial();
    }
    
    /**
     * チュートリアルを表示
     */
    function showTutorial() {
        // チュートリアル要素を作成
        var $tutorial = $('<div class="plugin-explainer-tutorial"></div>');
        
        // チュートリアルの内容
        $tutorial.html(
            '<h2>Plugin Explainer へようこそ！</h2>' +
            '<div class="plugin-explainer-tutorial-step">' +
                '<h3>1. プラグインの目的を一目で確認</h3>' +
                '<p>各プラグインの「目的」カラムで、そのプラグインが何のためのものかを簡単に確認できます。</p>' +
            '</div>' +
            '<div class="plugin-explainer-tutorial-step">' +
                '<h3>2. カテゴリ別の色分け</h3>' +
                '<p>プラグインは機能カテゴリごとに色分けされています。同じ色のプラグインは似た機能を持っています。</p>' +
            '</div>' +
            '<div class="plugin-explainer-tutorial-step">' +
                '<h3>3. 詳細情報の表示</h3>' +
                '<p>「目的」の上にマウスを置くと、そのプラグインの詳細情報がポップアップ表示されます。</p>' +
            '</div>' +
            '<div class="plugin-explainer-tutorial-buttons">' +
                '<button class="button" id="plugin-explainer-tutorial-later">後で見る</button>' +
                '<button class="button button-primary" id="plugin-explainer-tutorial-close">わかりました</button>' +
            '</div>'
        );
        
        // bodyに追加
        $('body').append($tutorial);
        
        // 背景をオーバーレイ
        $('body').append('<div id="plugin-explainer-overlay" style="position:fixed;top:0;left:0;width:100%;height:100%;background:rgba(0,0,0,0.5);z-index:9998;"></div>');
        
        // 閉じるボタンのイベント
        $('#plugin-explainer-tutorial-close').on('click', function() {
            closeTutorial(true);
        });
        
        // 後で見るボタンのイベント
        $('#plugin-explainer-tutorial-later').on('click', function() {
            closeTutorial(false);
        });
    }
    
    /**
     * チュートリアルを閉じる
     */
    function closeTutorial(dontShowAgain) {
        $('.plugin-explainer-tutorial, #plugin-explainer-overlay').remove();
        
        // 「次回から表示しない」設定を保存
        if (dontShowAgain) {
            $.ajax({
                url: pluginExplainerData.ajaxUrl,
                type: 'POST',
                data: {
                    action: 'plugin_explainer_hide_tutorial',
                    nonce: pluginExplainerData.nonce
                }
            });
        }
    }
    
    // ヘルプアイコンのツールチップ
    $('.plugin-help-icon').tooltip({
        position: { my: "left+10 center", at: "right center" }
    });
});
